<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddBookingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->double('rmb_book_amount')->default('0');
            $table->string('rmb_book_pay_method')->default(' ');
            $table->string('rmb_book_account_name')->default(' ');
            $table->string('rmb_book_bank_name')->default(' ');
            $table->string('rmb_book_acc_no')->default(' ');
            $table->string('rmb_book_bank_branch')->default(' ');

            $table->double('usd_book_amount')->default('0');
            $table->string('usd_book_pay_method')->default(' ');
            $table->string('usd_book_company_name')->default(' ');
            $table->string('usd_book_company_address')->default(' ');
            $table->string('usd_book_swift_code')->default(' ');
            $table->string('usd_book_cnap')->default(' ');
            $table->string('usd_book_bank_branch')->default(' ');
            $table->boolean('verification_status')->default('1'); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
